part of '../cresce_ui.dart';

class CDataSelected extends StatelessWidget {
  final Uint8List? image;
  final String label;
  final VoidCallback? onTap;
  final Size size;

  const CDataSelected({
    super.key,
    this.image,
    required this.label,
    this.onTap,
    this.size = const Size(180, 87),
  });

  @override
  Widget build(BuildContext context) {
    return CSmallModal(
      onTap: onTap,
      size: size,
      gradient: LinearGradient(
        begin: const Alignment(0.0, -1.0),
        end: const Alignment(0.0, 1.0),
        colors: [CColors.primary, CColors.primaryVar2],
        stops: const [0.0, 1.0],
      ),
      child: Padding(
        padding: const EdgeInsets.all(12.0),
        child: Row(
          children: [
            CCircle(size: const Size(47, 47), image: image),
            const SizedBox(width: 6),
            CText(
              label: label,
              style: CTextStyles.captionSecondary,
              width: size.width - 77,
            ),
          ],
        ),
      ),
    );
  }
}
