// ignore: use_string_in_part_of_directives
part of cresce_ui;

class CWizard extends StatefulWidget {
  final List<Widget> items;
  final double? height;

  const CWizard({super.key, this.height, required this.items});

  @override
  State<CWizard> createState() => _CWizardState();
}

class _CWizardState extends State<CWizard> {
  int _current = 0;
  final CarouselController _controller = CarouselController();

  @override
  Widget build(BuildContext context) => Column(
        children: [
          CarouselSlider(
            items: widget.items,
            carouselController: _controller,
            options: CarouselOptions(
              autoPlay: false,
              viewportFraction: 1.0,
              enlargeCenterPage: false,
              height: widget.height,
              onPageChanged: (index, _) => setState(
                () => _current = index,
              ),
            ),
          ),
          Row(
            mainAxisAlignment: MainAxisAlignment.center,
            children: widget.items.asMap().entries.map((entry) {
              return GestureDetector(
                onTap: () => _controller.animateToPage(entry.key),
                child: Container(
                  width: 12.0,
                  height: 12.0,
                  margin: const EdgeInsets.symmetric(
                    vertical: 8.0,
                    horizontal: 4.0,
                  ),
                  decoration: BoxDecoration(
                    shape: BoxShape.circle,
                    color: CColors.primary
                        .withOpacity(_current == entry.key ? 0.9 : 0.4),
                  ),
                ),
              );
            }).toList(),
          ),
        ],
      );
}
